Tamio

Delete an address

DELETE https://api.tamio.com/v2/customers/address/{uuid}

Deletes an address from a customer. Associated subscription references (billing or shipping) are automatically cleared.

Path Parameters

uuid string*

UUID of the address to delete

Responses

200 Address deleted successfully

Address deleted successfully

status integer
customer Customer
400 Validation or business-logic error.
401 Unauthorized – invalid or missing Bearer token
/customers/address/{uuid}
1const response = await fetch("https://api.tamio.com/v2/customers/address/{uuid}", {
2 method: "DELETE",
3 headers: {
4 "Authorization": "Bearer YOUR_API_KEY",
5 "Accept": "application/json"
6 }
7});
8const data = await response.json();
Responses
{
  "status": 200,
  "customer": {
    "id": "550e8400-e29b-41d4-a716-446655440000",
    "object": "customer",
    "email": "[email protected]",
    "name": "John",
    "last_name": "Doe",
    "country": "de",
    "locale": "en",
    "timezone_offset": "+00:00",
    "phone": "+49123456789",
    "stripe_customer_id": "cus_P2BjgLkL",
    "teammate_id": "cc6e91ea-0275-408a-8106-25f0e3fcbd83",
    "affiliate_partner_id": "bb6e91ea-0275-408a-8106-25f0e3fcbd82",
    "has_notes": false,
    "created_at": 1700000000,
    "billing_addresses": [
      {
        "id": "0380f2d4-1a26-4074-8b6b-87b64f3d1b6e",
        "object": "address",
        "name": "John",
        "last_name": "Doe",
        "email": "[email protected]",
        "address": "123 Main St",
        "city": "New York",
        "postcode": "10001",
        "state": "NY",
        "country": "us",
        "locale": "en",
        "phone": "+441234567890",
        "company": "Tamio Inc",
        "message": "Leave at front door",
        "shipping_address": false,
        "is_company": true,
        "vat": "US12345678",
        "verified_vat": true,
        "custom_billing_fields": {}
      }
    ],
    "shipping_addresses": [
      {
        "id": "0380f2d4-1a26-4074-8b6b-87b64f3d1b6e",
        "object": "address",
        "name": "John",
        "last_name": "Doe",
        "email": "[email protected]",
        "address": "123 Main St",
        "city": "New York",
        "postcode": "10001",
        "state": "NY",
        "country": "us",
        "locale": "en",
        "phone": "+441234567890",
        "company": "Tamio Inc",
        "message": "Leave at front door",
        "shipping_address": false,
        "is_company": true,
        "vat": "US12345678",
        "verified_vat": true,
        "custom_billing_fields": {}
      }
    ],
    "direct_debits": [
      {
        "currency": "EUR",
        "provider": "gocardless"
      }
    ],
    "client_id": "aa6e91ea-0275-408a-8106-25f0e3fcbd81",
    "category": "VIP"
  }
}